package com.chenyang.nse.bussiness.entity.orm.table.core;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import java.math.BigInteger;
import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_FIRST_PAGE_DATA"
)
public class TCoreFirstPageData extends TBaseEntity {
   @Column(
      length = 50
   )
   private String project_id;
   @Column(
      length = 50
   )
   private String project_name;
   @Column(
      length = 10
   )
   private BigInteger table_num;
   @Column(
      length = 10
   )
   private BigInteger masking_table_num;
   @Column(
      length = 10
   )
   private BigInteger field_num;
   @Column(
      length = 10
   )
   private BigInteger masking_field_num;
   @Column(
      length = 10
   )
   private BigInteger scope_table_num;
   @Column(
      length = 10
   )
   private BigInteger scope_field_num;
   @Column(
      length = 10
   )
   private BigInteger sensitive_table_num;
   @Column(
      length = 10
   )
   private BigInteger sensitive_field_num;
   @Column(
      length = 10
   )
   private BigInteger scope_num;
   @Column(
      length = 10
   )
   private BigInteger auth_user_num;
   private Date createtime;

   public String getProject_id() {
      return this.project_id;
   }

   public void setProject_id(String project_id) {
      this.project_id = project_id;
   }

   public String getProject_name() {
      return this.project_name;
   }

   public void setProject_name(String project_name) {
      this.project_name = project_name;
   }

   public BigInteger getTable_num() {
      return this.table_num;
   }

   public void setTable_num(BigInteger table_num) {
      this.table_num = table_num;
   }

   public BigInteger getMasking_table_num() {
      return this.masking_table_num;
   }

   public void setMasking_table_num(BigInteger masking_table_num) {
      this.masking_table_num = masking_table_num;
   }

   public BigInteger getField_num() {
      return this.field_num;
   }

   public void setField_num(BigInteger field_num) {
      this.field_num = field_num;
   }

   public BigInteger getMasking_field_num() {
      return this.masking_field_num;
   }

   public void setMasking_field_num(BigInteger masking_field_num) {
      this.masking_field_num = masking_field_num;
   }

   public BigInteger getScope_table_num() {
      return this.scope_table_num;
   }

   public void setScope_table_num(BigInteger scope_table_num) {
      this.scope_table_num = scope_table_num;
   }

   public BigInteger getScope_field_num() {
      return this.scope_field_num;
   }

   public void setScope_field_num(BigInteger scope_field_num) {
      this.scope_field_num = scope_field_num;
   }

   public BigInteger getSensitive_table_num() {
      return this.sensitive_table_num;
   }

   public void setSensitive_table_num(BigInteger sensitive_table_num) {
      this.sensitive_table_num = sensitive_table_num;
   }

   public BigInteger getSensitive_field_num() {
      return this.sensitive_field_num;
   }

   public void setSensitive_field_num(BigInteger sensitive_field_num) {
      this.sensitive_field_num = sensitive_field_num;
   }

   public BigInteger getScope_num() {
      return this.scope_num;
   }

   public void setScope_num(BigInteger scope_num) {
      this.scope_num = scope_num;
   }

   public BigInteger getAuth_user_num() {
      return this.auth_user_num;
   }

   public void setAuth_user_num(BigInteger auth_user_num) {
      this.auth_user_num = auth_user_num;
   }

   public Date getCreatetime() {
      return this.createtime;
   }

   public void setCreatetime(Date createtime) {
      this.createtime = createtime;
   }
}
